package com.shkj.wms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shkj.wms.domain.TableHeader;
import com.shkj.wms.bo.SyncTableHeaderBo;
import com.shkj.wms.bo.TableHeaderQueryBo;
import com.shkj.wms.vo.TableColumnVo;
import com.shkj.wms.vo.TableHeaderVo;
import com.shkj.wms.vo.TableListVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 表格表头Mapper接口
 *
 * @author lch
 * @date 2022-03-19
 */
public interface TableHeaderMapper extends BaseMapper<TableHeader> {

    Integer getTable(@Param("tableName") String tableName);

    List<TableColumnVo> getTableColumn(@Param("tableName") String tableName);

    List<TableListVo> getTableOption(SyncTableHeaderBo bo);

    List<TableHeaderVo> queryTableList(TableHeaderQueryBo bo);
}
